Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianPlaceHierarchies

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.mondrian.MondrianPlaceHierarchies

All Implemented Interfaces:
  Extension, PlaceHierarchiesOnAxes

Direct Known Subclasses:
  MondrianPlaceMembers

    public class MondrianPlaceHierarchies

extends ExtensionSupport
implements PlaceHierarchiesOnAxes

generate Mondrian axis according to navigator

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.navi.PlaceHierarchiesOnAxes
`ID`

Constructor Summary
`MondrianPlaceHierarchies()` Constructor sets ID

Method Summary
`java.lang.Object` | `createMemberExpression(Hierarchy hier)` finds the expression that generates members for `hier`.
`boolean` | `getExpandAllMember()` return the "expand All member" flag
`void` | `setExpandAllMember(boolean expandAllMember)` set the "expand All member" flag if this flag is set and an "All" memper is put onto an axis, the children of the All member will be added as well.
`void` | `setQueryAxis(Axis target, java.lang.Object[] memberExpressions)` sets the MemberExpressions for an Axis.

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### MondrianPlaceHierarchies

    public MondrianPlaceHierarchies()

  Constructor sets ID

Method Detail

### createMemberExpression

    public java.lang.Object createMemberExpression(Hierarchy hier)

  Description copied from interface: `PlaceHierarchiesOnAxes`
  finds the expression that generates members for `hier`. If `hier` is used in the query, the expression from the query should be returned, so the navigation position remains unchanged. If the hierarchy is not used in the query, a new expression is created that selects the root members of the hierarchy.

  Specified by:
    `createMemberExpression` in interface `PlaceHierarchiesOnAxes`
  Returns:
    a member expression
  See Also:
    `PlaceHierarchiesOnAxes.createMemberExpression(Hierarchy)`

### setQueryAxis

    public void setQueryAxis(Axis target,
                             java.lang.Object[] memberExpressions)

  Description copied from interface: `PlaceHierarchiesOnAxes`
  sets the MemberExpressions for an Axis. The axis definition is replaced by the memberExpressions.

  Specified by:
    `setQueryAxis` in interface `PlaceHierarchiesOnAxes`
  See Also:
    `PlaceHierarchiesOnAxes.setQueryAxis(Axis, Object[])`

### setExpandAllMember

    public void setExpandAllMember(boolean expandAllMember)

  Description copied from interface: `PlaceHierarchiesOnAxes`
  set the "expand All member" flag if this flag is set and an "All" memper is put onto an axis, the children of the All member will be added as well.

  Specified by:
    `setExpandAllMember` in interface `PlaceHierarchiesOnAxes`
  See Also:
    `PlaceHierarchiesOnAxes.setExpandAllMember(boolean)`

### getExpandAllMember

    public boolean getExpandAllMember()

  Description copied from interface: `PlaceHierarchiesOnAxes`
  return the "expand All member" flag

  Specified by:
    `getExpandAllMember` in interface `PlaceHierarchiesOnAxes`
  See Also:
    `PlaceHierarchiesOnAxes.getExpandAllMember()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD